﻿@model List<PurchaseOrderView>
<div class="panel panel-default">
    <div class="panel-heading clearfix">
        <i class="icon-calendar"></i>
        <h3 class="panel-title">@PurchaseOrders.POL</h3>
    </div>
    <br />
    <div class="panel-body">

        <div class="table-responsive">
            <table class="table table-striped">
                @if (Model.Count > 0)
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        @foreach (PurchaseOrderView item in Model)
                        {
                            <tr>
                                <td>@item.DocEntry</td>
                                <td>@item.DocDate.ToString("dd/MM/yyyy")</td>
                                <td>@item.CardCode</td>
                                <td>@item.CardName</td>
                                <td>@item.Comments</td>
                                <td>@item.DocDueDate.ToString("dd/MM/yyyy")</td>
                                <td>@item.DocStatus</td>
                                <td>
                                    <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Update", @IdPO = item.DocEntry })' class="btn btn-primary btn-xs">
                                        <span class="glyphicon glyphicon-circle-arrow-right"></span>&nbsp;@PurchaseOrders.Edit
                                    </a>
                                </td>
                            </tr>
                        }

                    </tbody>
                }
                else
                {
                    <thead>
                        <tr>
                            <th>#</th>
                            <th>@PurchaseOrders.Date</th>
                            <th>@PurchaseOrders.VC</th>
                            <th>@PurchaseOrders.VN</th>
                            <th>@PurchaseOrders.Remarks</th>
                            <th>@PurchaseOrders.DD</th>
                            <th>@PurchaseOrders.Status</th>
                            <th>&nbsp;</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td colspan="8">No Data to Show</td>
                        </tr>
                    </tbody>
                }
            </table>
        </div>

    </div>

</div>

<div class="col-md-2 pull-right">
    <a href='@Url.Action("ActionPurchaseOrder", "PurchaseOrder", new { @ActionPurchaseOrder = "Add", @IdPO = 0 })' class="btn btn-success btn-ls pull-right ">
        <span class="glyphicon glyphicon-file"></span>&nbsp;@PurchaseOrders.NPO
    </a>
</div>
